package gregapi.load;

import static gregapi.data.CS.U;
import static gregapi.data.CS.W;
import gregapi.data.CS.ModIDs;
import gregapi.data.CS.ToolsGT;
import gregapi.data.*;
import gregapi.old.GregTech_API;
import gregapi.oredict.OreDictItemData;
import gregapi.recipes.GT_ModHandler;
import gregapi.util.OM;
import net.minecraft.init.Items;
import net.minecraft.item.ItemStack;

/**
 * @author Gregorius Techneticies
 * 
 * Loads the ItemList (IL.java) for most Items (everything except the GT ones).
 * This happens during the InitPhase, or if GregTech is installed within the PreInitPhase, since GregTech loads after all the Mods mentioned here, unlike the API.
 */
public class LoaderItemList implements Runnable {
	@Override
	public void run() {
        IL.TE_Slag.set(								GT_ModHandler.getModItem(ModIDs.TE_CORE, "material"				, 1, 514));
        IL.TE_Slag_Rich.set(						GT_ModHandler.getModItem(ModIDs.TE_CORE, "material"				, 1, 515));
        IL.TE_Rockwool.set(							GT_ModHandler.getModItem(ModIDs.TE, "Rockwool"					, 1, 0));
        
        IL.RC_ShuntingWire.set(						GT_ModHandler.getModItem(ModIDs.RC, "machine.delta"				, 1, 0));
        IL.RC_ShuntingWireFrame.set(				GT_ModHandler.getModItem(ModIDs.RC, "frame"						, 1, 0));
        IL.RC_Rail_Standard.set(					GT_ModHandler.getModItem(ModIDs.RC, "part.rail"					, 1, 0));
        IL.RC_Rail_Adv.set(							GT_ModHandler.getModItem(ModIDs.RC, "part.rail"					, 1, 1));
        IL.RC_Rail_Wooden.set(						GT_ModHandler.getModItem(ModIDs.RC, "part.rail"					, 1, 2));
        IL.RC_Rail_HS.set(							GT_ModHandler.getModItem(ModIDs.RC, "part.rail"					, 1, 3));
        IL.RC_Rail_Reinforced.set(					GT_ModHandler.getModItem(ModIDs.RC, "part.rail"					, 1, 4));
        IL.RC_Rail_Electric.set(					GT_ModHandler.getModItem(ModIDs.RC, "part.rail"					, 1, 5));
        IL.RC_Tie_Wood.set(							GT_ModHandler.getModItem(ModIDs.RC, "part.tie"					, 1, 0));
        IL.RC_Tie_Stone.set(						GT_ModHandler.getModItem(ModIDs.RC, "part.tie"					, 1, 1));
        IL.RC_Bed_Wood.set(							GT_ModHandler.getModItem(ModIDs.RC, "part.railbed"				, 1, 0));
        IL.RC_Bed_Stone.set(						GT_ModHandler.getModItem(ModIDs.RC, "part.railbed"				, 1, 1));
        IL.RC_Rebar.set(							GT_ModHandler.getModItem(ModIDs.RC, "part.rebar"				, 1, 0));
        
        IL.RC_Crowbar_Iron.set(						GT_ModHandler.getModItem(ModIDs.RC, "tool.crowbar"				, 1, 0), new OreDictItemData(MT.Fe, U*3));
        IL.RC_Crowbar_Steel.set(					GT_ModHandler.getModItem(ModIDs.RC, "tool.crowbar.reinforced"	, 1, 0), new OreDictItemData(MT.Steel, U*3));
        IL.RC_Crowbar_Thaumium.set(					GT_ModHandler.getModItem(ModIDs.RC, "tool.crowbar.magic"		, 1, 0), new OreDictItemData(MT.Thaumium, U*3));
        IL.RC_Crowbar_Voidmetal.set(				GT_ModHandler.getModItem(ModIDs.RC, "tool.crowbar.void"			, 1, 0), new OreDictItemData(MT.VoidMetal, U*3));
        
        IL.Tool_Sword_Steel.set(					GT_ModHandler.getModItem(ModIDs.RC, "tool.steel.sword"			, 1, 0));
        IL.Tool_Pickaxe_Steel.set(					GT_ModHandler.getModItem(ModIDs.RC, "tool.steel.pickaxe"		, 1, 0));
        IL.Tool_Shovel_Steel.set(					GT_ModHandler.getModItem(ModIDs.RC, "tool.steel.shovel"			, 1, 0));
        IL.Tool_Axe_Steel.set(						GT_ModHandler.getModItem(ModIDs.RC, "tool.steel.axe"			, 1, 0));
        IL.Tool_Hoe_Steel.set(						GT_ModHandler.getModItem(ModIDs.RC, "tool.steel.hoe"			, 1, 0));
        
        IL.TF_LiveRoot.set(							GT_ModHandler.getModItem(ModIDs.TF, "item.liveRoot"				, 1, 0), new OreDictItemData(MT.LiveRoot, U));
        IL.TF_Vial_FieryBlood.set(					GT_ModHandler.getModItem(ModIDs.TF, "item.fieryBlood"			, 1, 0));
        IL.TF_Vial_FieryTears.set(					GT_ModHandler.getModItem(ModIDs.TF, "item.fieryTears"			, 1, 0));
        
        IL.FR_Lemon.set(							GT_ModHandler.getModItem(ModIDs.FR, "fruits"					, 1, 3));
        IL.FR_Mulch.set(							GT_ModHandler.getModItem(ModIDs.FR, "mulch"						, 1, 0));
        IL.FR_Fertilizer.set(						GT_ModHandler.getModItem(ModIDs.FR, "fertilizerCompound"		, 1, 0));
        IL.FR_Compost.set(							GT_ModHandler.getModItem(ModIDs.FR, "fertilizerBio"				, 1, 0));
        IL.FR_Silk.set(								GT_ModHandler.getModItem(ModIDs.FR, "craftingMaterial"			, 1, 2));
        IL.FR_Wax.set(								GT_ModHandler.getModItem(ModIDs.FR, "beeswax"					, 1, 0));
        IL.FR_WaxCapsule.set(						GT_ModHandler.getModItem(ModIDs.FR, "waxCapsule"				, 1, 0));
        IL.FR_RefractoryWax.set(					GT_ModHandler.getModItem(ModIDs.FR, "refractoryWax"				, 1, 0));
        IL.FR_RefractoryCapsule.set(				GT_ModHandler.getModItem(ModIDs.FR, "refractoryEmpty"			, 1, 0));
        IL.FR_Bee_Drone.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeDroneGE"				, 1, 0));
        IL.FR_Bee_Princess.set(						GT_ModHandler.getModItem(ModIDs.FR, "beePrincessGE"				, 1, 0));
        IL.FR_Bee_Queen.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeQueenGE"				, 1, 0));
        IL.FR_Tree_Sapling.set(						GT_ModHandler.getModItem(ModIDs.FR, "sapling"					, 1, GT_ModHandler.getModItem(ModIDs.FR, "saplingGE", 1)));
        IL.FR_Butterfly.set(						GT_ModHandler.getModItem(ModIDs.FR, "butterflyGE"				, 1, 0));
        IL.FR_Larvae.set(							GT_ModHandler.getModItem(ModIDs.FR, "beeLarvaeGE"				, 1, 0));
        IL.FR_Serum.set(							GT_ModHandler.getModItem(ModIDs.FR, "serumGE"					, 1, 0));
        IL.FR_Caterpillar.set(						GT_ModHandler.getModItem(ModIDs.FR, "caterpillarGE"				, 1, 0));
        IL.FR_PollenFertile.set(					GT_ModHandler.getModItem(ModIDs.FR, "pollenFertile"				, 1, 0));
        IL.FR_Stick.set(							GT_ModHandler.getModItem(ModIDs.FR, "oakStick"					, 1, 0));
        IL.FR_Casing_Impregnated.set(				GT_ModHandler.getModItem(ModIDs.FR, "impregnatedCasing"			, 1, 0));
        IL.FR_Casing_Sturdy.set(					GT_ModHandler.getModItem(ModIDs.FR, "sturdyMachine"				, 1, 0));
        IL.FR_Casing_Hardened.set(					GT_ModHandler.getModItem(ModIDs.FR, "hardenedMachine"			, 1, 0));
    	
        IL.Bottle_Empty.set(						new ItemStack(Items.glass_bottle								, 1, 0));
        
        IL.Cell_Universal_Fluid.set(				GT_ModHandler.getIC2Item("FluidCell"							, 1   ), new OreDictItemData(MT.Sn, U*2, OM.stack(MT.Glass, (U * 3)/ 8)));
        IL.Cell_Empty.set(							GT_ModHandler.getIC2Item("cell"									, 1   ), OP.cell.get(MT.Empty));
        IL.Cell_Water.set(							GT_ModHandler.getIC2Item("waterCell"							, 1   ), OP.cell.get(MT.Water));
        IL.Cell_Lava.set(							GT_ModHandler.getIC2Item("lavaCell"								, 1   ), OP.cell.get(MT.Lava));
        IL.Cell_Air.set(							GT_ModHandler.getIC2Item("airCell"								, 1   ), OP.cell.get(MT.Air));
        
        IL.IC2_Spray_WeedEx.set(					GT_ModHandler.getIC2Item("weedEx"								, 1   ));
        IL.IC2_Mixed_Metal_Ingot.set(				GT_ModHandler.getIC2Item("mixedMetalIngot"						, 1   ));
        IL.IC2_Fertilizer.set(						GT_ModHandler.getIC2Item("fertilizer"							, 1   ));
    	IL.IC2_CoffeeBeans.set(						GT_ModHandler.getIC2Item("coffeeBeans"							, 1   ));
    	IL.IC2_CoffeePowder.set(					GT_ModHandler.getIC2Item("coffeePowder"							, 1   ), OP.dust.get(MT.Coffee));
    	IL.IC2_Hops.set(							GT_ModHandler.getIC2Item("hops"									, 1   ));
    	IL.IC2_Resin.set(							GT_ModHandler.getIC2Item("resin"								, 1   ));
    	IL.IC2_Plantball.set(						GT_ModHandler.getIC2Item("plantBall"							, 1   ));
    	IL.IC2_Crop_Seeds.set(						GT_ModHandler.getIC2Item("cropSeed"								, 1   ));
    	IL.IC2_Grin_Powder.set(						GT_ModHandler.getIC2Item("grinPowder"							, 1   ));
    	IL.IC2_Energium_Dust.set(					GT_ModHandler.getIC2Item("energiumDust"							, 1   ));
        IL.IC2_Scrap.set(							GT_ModHandler.getIC2Item("scrap"								, 1   ));
        IL.IC2_Scrapbox.set(						GT_ModHandler.getIC2Item("scrapBox"								, 1   ));
        IL.IC2_Fuel_Rod_Empty.set(					GT_ModHandler.getIC2Item("fuelRod"								, 1   ), new OreDictItemData(MT.Fe, U));
        IL.IC2_Food_Can_Empty.set(					GT_ModHandler.getIC2Item("tinCan"								, 1   ), new OreDictItemData(MT.Sn, U/2));
        IL.IC2_Food_Can_Filled.set(					GT_ModHandler.getIC2Item("filledTinCan"							, 1, 0));
        IL.IC2_Food_Can_Spoiled.set(				GT_ModHandler.getIC2Item("filledTinCan"							, 1, 1));
        IL.IC2_Industrial_Diamond.set(				GT_ModHandler.getIC2Item("industrialDiamond"					, 1, new ItemStack(Items.diamond, 1)));
        IL.IC2_Compressed_Coal_Ball.set(			GT_ModHandler.getIC2Item("compressedCoalBall"					, 1   ));
        IL.IC2_Compressed_Coal_Chunk.set(			GT_ModHandler.getIC2Item("coalChunk"							, 1   ));
        IL.IC2_ShaftIron.set(						GT_ModHandler.getIC2Item("ironshaft"							, 1   ));
        IL.IC2_ShaftSteel.set(						GT_ModHandler.getIC2Item("steelshaft"							, 1   ));
        
        IL.IC2_SuBattery.set(						GT_ModHandler.getIC2Item("suBattery"							, 1   ));
        IL.IC2_ReBattery.set(						GT_ModHandler.getIC2Item("reBattery"							, 1   ));
        IL.IC2_AdvBattery.set(						GT_ModHandler.getIC2Item("advBattery"							, 1   ));
        IL.IC2_EnergyCrystal.set(					GT_ModHandler.getIC2Item("energyCrystal"						, 1   ));
        IL.IC2_LapotronCrystal.set(					GT_ModHandler.getIC2Item("lapotronCrystal"						, 1   ));
        
        IL.IC2_LapotronCrystal.set(					GT_ModHandler.getIC2Item("lapotronCrystal"						, 1   ));
        IL.IC2_LapotronCrystal.set(					GT_ModHandler.getIC2Item("lapotronCrystal"						, 1   ));
        IL.IC2_LapotronCrystal.set(					GT_ModHandler.getIC2Item("lapotronCrystal"						, 1   ));
        
        IL.Tool_Sword_Bronze.set(					GT_ModHandler.getIC2Item("bronzeSword"							, 1   ));
        IL.Tool_Pickaxe_Bronze.set(					GT_ModHandler.getIC2Item("bronzePickaxe"						, 1   ));
        IL.Tool_Shovel_Bronze.set(					GT_ModHandler.getIC2Item("bronzeShovel"							, 1   ));
        IL.Tool_Axe_Bronze.set(						GT_ModHandler.getIC2Item("bronzeAxe"							, 1   ));
        IL.Tool_Hoe_Bronze.set(						GT_ModHandler.getIC2Item("bronzeHoe"							, 1   ));
        IL.IC2_ForgeHammer.set(						GT_ModHandler.getIC2Item("ForgeHammer"							, 1   ));
        IL.IC2_WireCutter.set(						GT_ModHandler.getIC2Item("cutter"								, 1   ));
        
        IL.Credit_Iron.set(							GT_ModHandler.getIC2Item("coin"									, 1   ));
        
        IL.Circuit_Basic.set(						GT_ModHandler.getIC2Item("electronicCircuit"					, 1   ));
        IL.Circuit_Advanced.set(					GT_ModHandler.getIC2Item("advancedCircuit"						, 1   ));
        
        IL.Upgrade_Overclocker.set(					GT_ModHandler.getIC2Item("overclockerUpgrade"					, 1   ));
        IL.Upgrade_Battery.set(						GT_ModHandler.getIC2Item("energyStorageUpgrade"					, 1   ));
        
        IL.Dye_Bonemeal.set(						new ItemStack(Items.dye, 1, 15));
        IL.Dye_SquidInk.set(						new ItemStack(Items.dye, 1, 0));
        IL.Dye_Cocoa.set(							new ItemStack(Items.dye, 1, 3));
        
        IL.Book_Written_00.set(						new ItemStack(Items.written_book, 1, 0));
        
        IL.Food_Baked_Bread.set(					new ItemStack(Items.bread, 1, 0));
        IL.Food_Raw_Potato.set(						new ItemStack(Items.potato, 1, 0));
        IL.Food_Baked_Potato.set(					new ItemStack(Items.baked_potato, 1, 0));
        IL.Food_Poisonous_Potato.set(				new ItemStack(Items.poisonous_potato, 1, 0));
        
    	OP.bottle.mContainerItem =					IL.Bottle_Empty.get(1);
    	OP.bucket.mContainerItem =					new ItemStack(Items.bucket, 1);
    	OP.cellPlasma.mContainerItem =				IL.Cell_Empty.get(1);
    	OP.cell.mContainerItem =					IL.Cell_Empty.get(1);
    	
        GregTech_API.sFrostHazmatList		.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GregTech_API.sFrostHazmatList		.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GregTech_API.sFrostHazmatList		.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GregTech_API.sFrostHazmatList		.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        
        GregTech_API.sHeatHazmatList		.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GregTech_API.sHeatHazmatList		.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GregTech_API.sHeatHazmatList		.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GregTech_API.sHeatHazmatList		.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        
        GregTech_API.sBioHazmatList			.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GregTech_API.sBioHazmatList			.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GregTech_API.sBioHazmatList			.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GregTech_API.sBioHazmatList			.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        
        GregTech_API.sGasHazmatList			.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GregTech_API.sGasHazmatList			.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GregTech_API.sGasHazmatList			.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GregTech_API.sGasHazmatList			.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        
        GregTech_API.sRadioHazmatList		.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GregTech_API.sRadioHazmatList		.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GregTech_API.sRadioHazmatList		.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GregTech_API.sRadioHazmatList		.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        
        GregTech_API.sElectroHazmatList		.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GregTech_API.sElectroHazmatList		.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GregTech_API.sElectroHazmatList		.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GregTech_API.sElectroHazmatList		.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        GregTech_API.sElectroHazmatList		.add(new ItemStack(Items.chainmail_helmet										, 1, W));
        GregTech_API.sElectroHazmatList		.add(new ItemStack(Items.chainmail_chestplate									, 1, W));
        GregTech_API.sElectroHazmatList		.add(new ItemStack(Items.chainmail_leggings										, 1, W));
        GregTech_API.sElectroHazmatList		.add(new ItemStack(Items.chainmail_boots										, 1, W));
        
        GT_ModHandler.sNonReplaceableItems	.add(new ItemStack(ToolsGT.sMetaTool											, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(new ItemStack(Items.bow													, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(new ItemStack(Items.fishing_rod											, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(IL.IC2_ForgeHammer.getWithDamage(											  1, W));
        GT_ModHandler.sNonReplaceableItems	.add(IL.IC2_WireCutter.getWithDamage(											  1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("painter"											, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("blackPainter"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("redPainter"										, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("greenPainter"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("brownPainter"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("bluePainter"										, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("purplePainter"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("cyanPainter"										, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("lightGreyPainter"								, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("darkGreyPainter"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("pinkPainter"										, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("limePainter"										, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("yellowPainter"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("cloudPainter"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("magentaPainter"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("orangePainter"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("whitePainter"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("cfPack"											, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("jetpack"											, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("treetap"											, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("weedEx"											, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("staticBoots"										, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("compositeArmor"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.RC, "part.turbine.disk"					, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.RC, "part.turbine.blade"					, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.RC, "part.turbine.rotor"					, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.RC, "borehead.diamond"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.RC, "borehead.steel"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.RC, "borehead.iron"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.TF, "item.plateNaga"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.TF, "item.legsNaga"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.TF, "item.arcticHelm"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.TF, "item.arcticPlate"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.TF, "item.arcticLegs"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.TF, "item.arcticBoots"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.TF, "item.yetiHelm"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.TF, "item.yetiPlate"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.TF, "item.yetiLegs"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.TF, "item.yetiBoots"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.AE, "item.ToolCertusQuartzCuttingKnife"	, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.AE, "item.ToolNetherQuartzCuttingKnife"	, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.FR, "apiaristHelmet"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.FR, "apiaristChest"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.FR, "apiaristLegs"							, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.FR, "apiaristBoots"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.FR, "frameUntreated"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.FR, "frameImpregnated"						, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.FR, "frameProven"							, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.FR, "waxCast"								, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.GC_CORE, "item.sensorGlasses"				, 1, W));
        GT_ModHandler.sNonReplaceableItems	.add(GT_ModHandler.getModItem(ModIDs.NC, "ItemToolThermometer"					, 1, W));
	}
}