package gregapi.load;

import static gregapi.data.CS.U;
import gregapi.data.MT;
import gregapi.data.OP;
import gregapi.oredict.OreDictItemData;
import gregapi.oredict.OreDictManager;
import gregapi.util.OM;

/**
 * @author Gregorius Techneticies
 * 
 * Loads the Re-Registrations for several OreDictNames.
 * This happens during the PreInitPhase.
 */
public class LoaderOreDictReRegistrations implements Runnable {
	@Override
	public void run() {
		OreDictManager.INSTANCE.addAutoBlackListing("shardNether");
		OreDictManager.INSTANCE.addAutoBlackListing("gemFluorite");
		
		OreDictManager.INSTANCE.addReRegistrationWithReversal("itemCopperWire"		, "wireCopper");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("itemCopperWire"		, "craftingWireCopper");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("wireCopper"			, "craftingWireCopper");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("itemRubber"			, "ingotRubber");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stone"				, "stoneSmooth");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("cobblestone"			, "stoneCobble");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("sheetPlastic"		, "platePlastic");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("sheetRubber"			, "plateRubber");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("shardAir"			, "gemInfusedAir");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("shardWater"			, "gemInfusedWater");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("shardFire"			, "gemInfusedFire");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("shardEarth"			, "gemInfusedEarth");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("shardOrder"			, "gemInfusedOrder");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("shardEntropy"		, "gemInfusedEntropy");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("fieryIngot"			, "ingotFierySteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("ironwood"			, "ingotIronWood");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("steeleaf"			, "ingotSteeleaf");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("knightmetal"			, "ingotKnightmetal");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("woodRubber"			, "logRubber");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("pulpWood"			, "dustWood");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("dustWheat"			, "flour");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodCocoapowder"		, "dustCocoa");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodGroundcinnamon"	, "dustCinnamon");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodGroundCinnamon"	, "dustCinnamon");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("crystalCertusQuartz"	, "gemCertusQuartz");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("crystalNetherQuartz"	, "gemNetherQuartz");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("crystalFluix"		, "gemFluix");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("plateLapis"			, "plateGemLapis");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("marble"				, "stoneMarble");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("basalt"				, "stoneBasalt");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("netherrack"			, "stoneNetherrack");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("limestone"			, "stoneLimestone");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockLimestone"		, "stoneLimestone");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockMarble"			, "stoneMarble");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockBasalt"			, "stoneBasalt");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockRedstone"		, "blockDustRedstone");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockNikolite"		, "blockDustNikolite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockTeslatite"		, "blockDustTeslatite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockDiamond"		, "blockGemDiamond");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockEmerald"		, "blockGemEmerald");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockLapis"			, "blockGemLapis");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockCoal"			, "blockGemCoal");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockRuby"			, "blockGemRuby");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockFoolsRuby"		, "blockGemFoolsRuby");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockSapphire"		, "blockGemSapphire");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockGreenSapphire"	, "blockGemGreenSapphire");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockOlivine"		, "blockGemOlivine");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockPeridot"		, "blockGemPeridot");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockTanzanite"		, "blockGemTanzanite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockTopaz"			, "blockGemTopaz");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockBlueTopaz"		, "blockGemBlueTopaz");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAmethyst"		, "blockGemAmethyst");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockOpal"			, "blockGemOpal");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockGarnet"			, "blockGemGarnet");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockGarnetRed"		, "blockGemGarnetRed");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockGarnetYellow"	, "blockGemGarnetYellow");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockJade"			, "blockGemJade");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockJasper"			, "blockGemJasper");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockApatite"		, "blockGemApatite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockIron"			, "blockIngotIron");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockSteel"			, "blockIngotSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockBronze"			, "blockIngotBronze");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockCopper"			, "blockIngotCopper");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockTin"			, "blockIngotTin");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockLead"			, "blockIngotLead");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockThorium"		, "blockIngotThorium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockUranium"		, "blockIngotUranium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockPlutonium"		, "blockIngotPlutonium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockSilver"			, "blockIngotSilver");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockGold"			, "blockIngotGold");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockPlatinum"		, "blockIngotPlatinum");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAnyIron"		, "blockIngotAnyIron");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAnyIronSteel"	, "blockIngotAnyIronSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAnySteel"		, "blockIngotAnySteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAnyCopper"		, "blockIngotAnyCopper");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAnyBronze"		, "blockIngotAnyBronze");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAlduorite"		, "blockIngotAlduorite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockInfuscolium"	, "blockIngotInfuscolium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockRubracium"		, "blockIngotRubracium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockMeutoite"		, "blockIngotMeutoite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockLemurite"		, "blockIngotLemurite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockCeruclase"		, "blockIngotCeruclase");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAtlarus"		, "blockIngotAtlarus");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockOureclase"		, "blockIngotOureclase");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockKalendrite"		, "blockIngotKalendrite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockOrichalcum"		, "blockIngotOrichalcum");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockCarmot"			, "blockIngotCarmot");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockSanguinite"		, "blockIngotSanguinite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockVyroxeres"		, "blockIngotVyroxeres");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockEximite"		, "blockIngotEximite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockPrometheum"		, "blockIngotPrometheum");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockIgnatius"		, "blockIngotIgnatius");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockVulcanite"		, "blockIngotVulcanite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockShadowIron"		, "blockIngotShadowIron");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAstralSilver"	, "blockIngotAstralSilver");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockMidasium"		, "blockIngotMidasium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockMithril"		, "blockIngotMithril");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockShadowSteel"	, "blockIngotShadowSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockInolashite"		, "blockIngotInolashite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockHaderoth"		, "blockIngotHaderoth");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockCelenegil"		, "blockIngotCelenegil");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockDesichalkos"	, "blockIngotDesichalkos");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockTartarite"		, "blockIngotTartarite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAmordrine"		, "blockIngotAmordrine");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAngmallen"		, "blockIngotAngmallen");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockHepatizon"		, "blockIngotHepatizon");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockBlackSteel"		, "blockIngotBlackSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockRedSteel"		, "blockIngotRedSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockBlueSteel"		, "blockIngotBlueSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockDamascusSteel"	, "blockIngotDamascusSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockDeepIron"		, "blockIngotDeepIron");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockSignalum"		, "blockIngotSignalum");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockLumium"			, "blockIngotLumium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockEnderium"		, "blockIngotEnderium");
		
		OreDictManager.INSTANCE.addReRegistration("ingotMercury"		, "quicksilver");
		OreDictManager.INSTANCE.addReRegistration("gemMercury"			, "quicksilver");
		OreDictManager.INSTANCE.addReRegistration("gemDiamond"			, "diamond");
		OreDictManager.INSTANCE.addReRegistration("gemCoalCoke"			, "fuelCoke");
		OreDictManager.INSTANCE.addReRegistration("gemCoal"				, "coal");
		OreDictManager.INSTANCE.addReRegistration("gemCharcoal"			, "charcoal");
		OreDictManager.INSTANCE.addReRegistration("gemCertusQuartz"		, "itemCertusQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemNetherQuartz"		, "itemNetherQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemCertusQuartz"		, "craftingQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemNetherQuartz"		, "craftingQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemFluix"			, "craftingQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemQuartz"			, "craftingQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemQuartzite"		, "craftingQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemLazurite"			, "dyeCyan");
		OreDictManager.INSTANCE.addReRegistration("gemLapis"			, "dyeBlue");
		OreDictManager.INSTANCE.addReRegistration("gemSodalite"			, "dyeBlue");
		OreDictManager.INSTANCE.addReRegistration("dustLapis"			, "dyeBlue");
		OreDictManager.INSTANCE.addReRegistration("dustSodalite"		, "dyeBlue");
		OreDictManager.INSTANCE.addReRegistration("dustLazurite"		, "dyeCyan");
		OreDictManager.INSTANCE.addReRegistration("dustSalt"			, "itemSalt");
		OreDictManager.INSTANCE.addReRegistration("dustWheat"			, "foodFlour");
		OreDictManager.INSTANCE.addReRegistration("dustCocoa"			, "dyeBrown");
		OreDictManager.INSTANCE.addReRegistration("dustCoffee"			, "dyeBrown");
		OreDictManager.INSTANCE.addReRegistration("dustChocolate"		, "dyeBrown");
		OreDictManager.INSTANCE.addReRegistration("dustBrownLimonite"	, "dyeBrown");
		OreDictManager.INSTANCE.addReRegistration("dustYellowLimonite"	, "dyeYellow");
		OreDictManager.INSTANCE.addReRegistration("cableGt01Tin"		, "craftingWireTin");
		OreDictManager.INSTANCE.addReRegistration("cableGt01AnyCopper"	, "craftingWireCopper");
		OreDictManager.INSTANCE.addReRegistration("cableGt01Gold"		, "craftingWireGold");
		OreDictManager.INSTANCE.addReRegistration("cableGt01AnyIron"	, "craftingWireIron");
		OreDictManager.INSTANCE.addReRegistration("plateSilicon"		, "itemSilicon");
		OreDictManager.INSTANCE.addReRegistration("plateWood"			, "plankWood");
		OreDictManager.INSTANCE.addReRegistration("lensGlass"			, "craftingLensWhite");
		OreDictManager.INSTANCE.addReRegistration("lensDiamond"			, "craftingLensWhite");
		OreDictManager.INSTANCE.addReRegistration("lensDilithium"		, "craftingLensWhite");
		OreDictManager.INSTANCE.addReRegistration("lensInfusedOrder"	, "craftingLensWhite");
		OreDictManager.INSTANCE.addReRegistration("lensEmerald"			, "craftingLensGreen");
		OreDictManager.INSTANCE.addReRegistration("lensInfusedEarth"	, "craftingLensGreen");
		OreDictManager.INSTANCE.addReRegistration("lensRuby"			, "craftingLensRed");
		OreDictManager.INSTANCE.addReRegistration("lensJasper"			, "craftingLensRed");
		OreDictManager.INSTANCE.addReRegistration("lensFoolsRuby"		, "craftingLensRed");
		OreDictManager.INSTANCE.addReRegistration("lensInfusedFire"		, "craftingLensRed");
		OreDictManager.INSTANCE.addReRegistration("lensSpessartine"		, "craftingLensRed");
		OreDictManager.INSTANCE.addReRegistration("lensAlmandine"		, "craftingLensRed");
		OreDictManager.INSTANCE.addReRegistration("lensSapphire"		, "craftingLensBlue");
		OreDictManager.INSTANCE.addReRegistration("lensOpal"			, "craftingLensBlue");
		OreDictManager.INSTANCE.addReRegistration("lensBlueTopaz"		, "craftingLensBlue");
		OreDictManager.INSTANCE.addReRegistration("lensInfusedWater"	, "craftingLensBlue");
		OreDictManager.INSTANCE.addReRegistration("lensJade"			, "craftingLensCyan");
		OreDictManager.INSTANCE.addReRegistration("lensGreenSapphire"	, "craftingLensCyan");
		OreDictManager.INSTANCE.addReRegistration("lensOlivine"			, "craftingLensLime");
		OreDictManager.INSTANCE.addReRegistration("lensUvarovite"		, "craftingLensLime");
		OreDictManager.INSTANCE.addReRegistration("lensTopaz"			, "craftingLensOrange");
		OreDictManager.INSTANCE.addReRegistration("lensAmber"			, "craftingLensOrange");
		OreDictManager.INSTANCE.addReRegistration("lensGrossular"		, "craftingLensOrange");
		OreDictManager.INSTANCE.addReRegistration("lensCraponite"		, "craftingLensMagenta");
		OreDictManager.INSTANCE.addReRegistration("lensTanzanite"		, "craftingLensPurple");
		OreDictManager.INSTANCE.addReRegistration("lensPyrope"			, "craftingLensPurple");
		OreDictManager.INSTANCE.addReRegistration("lensAmethyst"		, "craftingLensPink");
		OreDictManager.INSTANCE.addReRegistration("lensAndradite"		, "craftingLensYellow");
		OreDictManager.INSTANCE.addReRegistration("lensInfusedAir"		, "craftingLensYellow");
		OreDictManager.INSTANCE.addReRegistration("lensInfusedEntropy"	, "craftingLensBlack");
		OreDictManager.INSTANCE.addReRegistration("stickTin"			, "craftingToolSolderingMetal");
		OreDictManager.INSTANCE.addReRegistration("stickLead"			, "craftingToolSolderingMetal");
		OreDictManager.INSTANCE.addReRegistration("stickSolderingAlloy"	, "craftingToolSolderingMetal");
		OreDictManager.INSTANCE.addReRegistration("ingotAnyIron"		, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotAnySteel"		, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotAnyBronze"		, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotAluminium"		, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotTitanium"		, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("stoneBowl"			, "bowlStone");
		
		OreDictManager.INSTANCE.setAutomaticItemData("plankWood", new OreDictItemData(MT.Wood, U));
		OreDictManager.INSTANCE.setAutomaticItemData("slabWood", new OreDictItemData(MT.Wood, U/2));
		OreDictManager.INSTANCE.setAutomaticItemData("logWood", new OreDictItemData(MT.Wood, U*8));
		OreDictManager.INSTANCE.setAutomaticItemData("logRubber", new OreDictItemData(MT.Wood, U*6));
		OreDictManager.INSTANCE.setAutomaticItemData("craftingChest", new OreDictItemData(MT.Wood, U * 8));
		OreDictManager.INSTANCE.setAutomaticItemData("craftingPiston", new OreDictItemData(MT.Stone, U * 4, MT.Wood, U * 3));
		OreDictManager.INSTANCE.setAutomaticItemData("craftingFurnace", new OreDictItemData(MT.Stone, U * 8));
		OreDictManager.INSTANCE.setAutomaticItemData("craftingAnvil", new OreDictItemData(MT.Fe, U * 10));
		OreDictManager.INSTANCE.setAutomaticItemData("craftingHardenedClay", new OreDictItemData(MT.Clay, U));
		
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Endstone		).toString(), new OreDictItemData(MT.Endstone		, U, OM.stack(MT.Pt		, U / 512), OM.stack(MT.W	, U / 512)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Netherrack		).toString(), new OreDictItemData(MT.Netherrack		, U, OM.stack(MT.Au		, U / 256)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.NetherBrick	).toString(), new OreDictItemData(MT.NetherBrick	, U, OM.stack(MT.Au		, U / 512)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Sand			).toString(), new OreDictItemData(MT.Sand			, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.GraniteBlack	).toString(), new OreDictItemData(MT.GraniteBlack	, U, OM.stack(MT.Th		, U / 256)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.GraniteRed		).toString(), new OreDictItemData(MT.GraniteRed		, U, OM.stack(MT.U_238	, U / 512), OM.stack(MT.Th	, U / 512)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Obsidian		).toString(), new OreDictItemData(MT.Obsidian		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Flint			).toString(), new OreDictItemData(MT.Flint			, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Concrete		).toString(), new OreDictItemData(MT.Concrete		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Redrock		).toString(), new OreDictItemData(MT.Redrock		, U, OM.stack(MT.Clay	, U / 9)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Shale			).toString(), new OreDictItemData(MT.Shale			, U, OM.stack(MT.Clay	, U / 9)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Dolomite		).toString(), new OreDictItemData(MT.Dolomite		, U, OM.stack(MT.Bone	, U / 9)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Basalt			).toString(), new OreDictItemData(MT.Basalt			, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Marble			).toString(), new OreDictItemData(MT.Marble			, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Quartzite		).toString(), new OreDictItemData(MT.Quartzite		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Limestone		).toString(), new OreDictItemData(MT.Limestone		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Calcite		).toString(), new OreDictItemData(MT.Calcite		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Rhyolite		).toString(), new OreDictItemData(MT.Rhyolite		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Andesite		).toString(), new OreDictItemData(MT.Andesite		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Gabbro			).toString(), new OreDictItemData(MT.Gabbro			, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Komatiite		).toString(), new OreDictItemData(MT.Komatiite		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Dacite			).toString(), new OreDictItemData(MT.Dacite			, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Gneiss			).toString(), new OreDictItemData(MT.Gneiss			, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Eclogite		).toString(), new OreDictItemData(MT.Eclogite		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Blueschist		).toString(), new OreDictItemData(MT.Blueschist		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Greenschist	).toString(), new OreDictItemData(MT.Greenschist	, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Soapstone		).toString(), new OreDictItemData(MT.Soapstone		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Migmatite		).toString(), new OreDictItemData(MT.Migmatite		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Chalk			).toString(), new OreDictItemData(MT.Chalk			, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Siltstone		).toString(), new OreDictItemData(MT.Siltstone		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Lignite		).toString(), new OreDictItemData(MT.Lignite		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Greywacke		).toString(), new OreDictItemData(MT.Greywacke		, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.get(MT.Chert			).toString(), new OreDictItemData(MT.Chert			, U));
	}
}